# Uses of Interface
org.eclipse.compare.patch.IHunk

Packages that use IHunk
Package
Description
org.eclipse.compare.patch
Provides support for applying and working with patches.

## Uses of IHunk in org.eclipse.compare.patch

Methods in org.eclipse.compare.patch that return IHunk
Modifier and Type
Method
Description
`static IHunk`
PatchBuilder.`createHunk(int start, String[] lines)`
Creates an IHunk instance.
`IHunk[]`
IFilePatch2.`getHunks()`
Returns all the hunks this file patch contains.
`IHunk[]`
IFilePatchResult.`getRejects()`
Return the portions of the patch (referred to a hunks) that could not be applied.
Methods in org.eclipse.compare.patch with parameters of type IHunk
Modifier and Type
Method
Description
`static IFilePatch2`
PatchBuilder.`addHunks(IFilePatch2 filePatch, IHunk[] toAdd)`
Adds IHunks to a given IFilePatch2 and performs recalculation of all hunks' after positions.
`static IFilePatch2`
PatchBuilder.`createFilePatch(IPath oldPath, long oldDate, IPath newPath, long newDate, IHunk[] hunks)`
Creates an IFilePatch2 instance and performs recalculation of all hunks' after positions.
`static IFilePatch2`
PatchBuilder.`removeHunks(IFilePatch2 filePatch, IHunk[] toRemove)`
Removes IHunks from a given IFilePatch2 and performs recalculation of all hunks' after positions.
`boolean`
IHunkFilter.`select(IHunk hunk)`
Returns true if the given hunk should be applied